DynamicJava Javadoc: Class TreeToken

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.parser.wrapper
Class TreeToken

    java.lang.Object
      |
      +--koala.dynamicjava.parser.wrapper.TreeToken

All Implemented Interfaces:
  IdentifierToken

public class TreeToken
extends java.lang.Object
implements IdentifierToken

This class represents the token managed by the syntax tree

Constructor Summary
`TreeToken(Token t)` Creates a new tree token

Method Summary
`int` | `beginColumn()` Returns the column number where the beginning of the token was found in the source file
`int` | `beginLine()` Returns the line number where the beginning of the token was found in the source file
`int` | `endColumn()` Returns the column number where the end of the token was found in the source file
`int` | `endLine()` Returns the line number where the end of the token was found in the source file
`Token` | `getToken()` Returns the underlying token
`java.lang.String` | `image()` Returns the representation of the identifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeToken

    public TreeToken(Token t)

  Creates a new tree token
  Parameters:
    `t` - the parser token

Method Detail

### getToken

    public Token getToken()

  Returns the underlying token

### image

    public java.lang.String image()

  Returns the representation of the identifier
  Specified by:
    `image` in interface `IdentifierToken`

### beginLine

    public int beginLine()

  Returns the line number where the beginning of the token was found in the source file
  Specified by:
    `beginLine` in interface `IdentifierToken`

### endLine

    public int endLine()

  Returns the line number where the end of the token was found in the source file
  Specified by:
    `endLine` in interface `IdentifierToken`

### beginColumn

    public int beginColumn()

  Returns the column number where the beginning of the token was found in the source file
  Specified by:
    `beginColumn` in interface `IdentifierToken`

### endColumn

    public int endColumn()

  Returns the column number where the end of the token was found in the source file
  Specified by:
    `endColumn` in interface `IdentifierToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.